[rtpengine-recording]

table = 0

### number of worker threads (default 8)
# num-threads = 16

### where to forward to (unix socket)
# forward-to = /run/rtpengine/sock

### where to store recordings: file (default), db, both
# output-storage = db

### format of stored recordings: wav (default), mp3
# output-format = mp3

### directory containing rtpengine metadata files
# spool-dir = /var/spool/rtpengine

### where to store media files to
# output-dir = /var/lib/rtpengine-recording

### file name pattern for output files
# output-pattern = %c-%t

### resample all output audio
# resample-to = 8000

### bits per second for MP3 encoding
# mp3-bitrate = 24000

### mix participating sources into a single output
# output-mixed = true

### maximum number of inputs for mixed output
# mix-num-inputs = 4

### create one output file for each source
# output-single = true

### TCP/TLS output of PCM audio
# tcp-send-to = 10.4.1.7:15413
# tcp-resample = 16000
### OR
# tls-send-to = 10.4.1.7:15413
# tls-resample = 16000

### mysql configuration for db storage
# mysql-host = localhost
# mysql-port = 3306
# mysql-user = rtpengine
# mysql-pass = secret
# mysql-db = rtpengine

### ownership/permission control for output files
# output-chmod = 0640
# output-chmod-dir = 0750
# output-chown = rtpengine
# output-chgrp = rtpengine

### HTTP notifications for finished recordings
# notify-uri = https://example.com/rec/finished
# notify-post = false
# notify-no-verify = false
# notify-purge = false
# notify-concurrency = 5
# notify-retries = 10
